<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/char_offset_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/31/83  char_offset_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in char_offset_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: char_offset_:  06/17/81  char_offset_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: returns the character offset <span class="textRainbow_lv0_p0">(</span>relative to the base of the
<span id="L11" class="LineNr">11 </span>segment<span class="textRainbow_lv0_p0">)</span> of the character located by the supplied pointer value.
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>Syntax:
<span id="L15" class="LineNr">15 </span>dcl char_offset_ entry <span class="textRainbow_lv0_p0">(</span>pointer<span class="textRainbow_lv0_p0">)</span> returns <span class="textRainbow_lv0_p0">(</span>fixed bin <span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> reducible;
<span id="L16" class="LineNr">16 </span>character_offset = char_offset_ <span class="textRainbow_lv0_p0">(</span>pointer_value<span class="textRainbow_lv0_p0">)</span>;
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>Arguments:
<span id="L20" class="LineNr">20 </span>pointer_value
<span id="L21" class="LineNr">21 </span>   is a pointer whose character offset is to be determined.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L22" class="LineNr">22 </span>character_offset
<span id="L23" class="LineNr">23 </span>   is the character offset of the supplied pointer.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>Notes:  The first character in a segment has a character offset of
<span id="L27" class="LineNr">27 </span>zero.
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>If the pointer supplied to char_offset_ does not point to a character
<span id="L30" class="LineNr">30 </span>boundary, the offset returned is that of the character containing the
<span id="L31" class="LineNr">31 </span>bit located by the pointer.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
